Skip to main content
GET
/
background-processes
/
{backgroundProcess}
Get background process
curl --request GET \
  --url https://cloud.laravel.com/api/background-processes/{backgroundProcess} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "attributes": {
      "processes": 123,
      "command": "<string>",
      "config": [
        "<unknown>"
      ],
      "strategy_threshold": 123,
      "created_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "instance": {
        "data": {
          "id": "<string>"
        }
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "attributes": {
        "name": "<string>",
        "min_replicas": 123,
        "max_replicas": 123,
        "shutdown_timeout": 123,
        "uses_scheduler": true,
        "scaling_cpu_threshold_percentage": 123,
        "scaling_memory_threshold_percentage": 123,
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "environment": {
          "data": {
            "id": "<string>"
          }
        },
        "backgroundProcesses": {
          "data": [
            {
              "id": "<string>"
            }
          ]
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

backgroundProcess
string | null
required

The background process identifier

Query Parameters

include
enum<string>[]
Available options:
instance

Response

BackgroundProcessResource

data
BackgroundProcessResource · object
required
included
InstanceResource · object[]